# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#' @include R6.R

`arrow::StructType` <- R6Class("arrow::StructType",
  inherit = `arrow::NestedType`,
  public = list(
    GetFieldByName = function(name) shared_ptr(`arrow::Field`, StructType__GetFieldByName(self, name)),
    GetFieldIndex = function(name) StructType__GetFieldIndex(self, name)
  )
)

#' @rdname DataType
#' @export
struct <- function(...){
  xp <- struct_(.fields(list(...)))
  shared_ptr(`arrow::StructType`, xp)
}
